%define	name	asp2php
%define	version	0.77.1
%define	release	%mkrel 1


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Program for converting .asp files to .php files
License:	GPL
Group:		Development/Other
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
URL:		http://asp2php.naken.cc/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
asp2php is a program which can help you convert Micro$oft (tm) Active Server
Pages (tm) to PHP files.

Install this if you intend to migrate from Microsuck, umm, I mean Micro$oft
(tm) Internet Information Server (tm) to PHP.

%package -n gtkasp2php
Summary:	Graphical front-end for asp2php
Group:		Development/Other
License:	GPL
Requires:	asp2php
BuildRequires:	gtk+-devel >= 1.2.0

%description -n gtkasp2php
gtkasp2php is the gtk-based graphical front-end for asp2php.

Install this if you want a graphical front-end for asp2php.

%prep
%setup -q 

%build
%make CFLAGS="$RPM_OPT_FLAGS"
%make CFLAGS="$RPM_OPT_FLAGS" gui

%install
rm -rf $RPM_BUILD_ROOT

install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m755 gtk%{name} -D $RPM_BUILD_ROOT%{_bindir}/gtk%{name}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


install -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/gtkasp2php <<EOF
?package(gtk%{name}):\
command="%{_bindir}/gtk%{name}"\
title="Asp2Php"\
longtitle="Gtk frontend to asp2php"\
needs="x11"\
icon="%{name}.png"\
section="Applications/Development/Tools"
EOF

%post -n gtkasp2php
%{update_menus}

%postun -n gtkasp2php
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc README LICENSE

%files -n gtkasp2php
%defattr(-,root,root)
%{_bindir}/gtk%{name}
#%{_libdir}/gtkasp2php/gtkasp2php
#%{_libdir}/gtkasp2php/*.xpm
#%{_libdir}/gtkasp2php/*.png
#%{_libdir}/gtkasp2php/asp2php
%{_menudir}/gtk%{name}
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Tue May 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.77.1-1mdk
- 0.77.1
- mkrel

* Wed Feb 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.76.23-1mdk
- 0.76.23

* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.76.19-1mdk
- 0.76.19
- spec cosmetics
- don't bzip2 icons in src.rpm
- remove explicit library dependency
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- compile with $RPM_OPT_FLAGS
- put files in the correct places
- cleanups

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.76.16-1mdk
- 0.76.16

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.76.13-2mdk
- rebuild

* Mon Oct 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.76.13-1mdk
- 0.76.13

* Fri Jul 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.76.12-1mdk
- 0.76.12

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.76.10-1mdk
- 0.76.10

* Fri May 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.76.8-1mdk
- 0.76.8
- Add menu entry and icons

* Sat Aug 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.75.22-1mdk
- updated to 0.75.22

* Tue Jun 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.75.14-1mdk
- updated to 0.75.14

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.75.11-1mdk
- updated to 0.75.11

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.75.1-2mdk
- macros
- BM

* Tue Jul 04 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.75.1-1mdk
- first release for mandrake


